"use client";
import { MapContainer, TileLayer, Circle } from "react-leaflet";
import "leaflet/dist/leaflet.css";
import { useEffect, useState } from "react";

const SimpleMap = ({ center = [35.6997, 51.3378] }) => {
  const position = center;
  const fillBlueOptions = { fillColor: "#0484D6" };
  const [map, setMap] = useState(null);

  useEffect(() => {
    if (map) {
      setInterval(function () {
        map.invalidateSize();
      }, 100);
    }
  }, [map]);
  return (
    <MapContainer
      center={position}
      zoom={20}
      scrollWheelZoom={false}
      style={{ height: "400px", width: "100%" }}
      whenCreated={setMap}
    >
      <TileLayer
        attribution='&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
        url="https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
      />
      <Circle center={position} pathOptions={fillBlueOptions} radius={5} />
    </MapContainer>
  );
};

export default SimpleMap;
